# 
# $Id$
# 
# [ Description ]
# 
# Makefile
# 
# DIR_MORPHEO must be defined

Meta_Predictor_Glue			= yes

ifndef Behavioural
include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
endif

#-----[ Library ]------------------------------------------
Meta_Predictor_Glue_LIBRARY		= 	-lMeta_Predictor_Glue	\
					$(Behavioural_LIBRARY)	

Meta_Predictor_Glue_DIR_LIBRARY		=	-L$(DIR_MORPHEO)/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Direction/Meta_Predictor/Meta_Predictor_Glue/lib	\
					$(Behavioural_DIR_LIBRARY)

#-----[ Rules ]--------------------------------------------

Meta_Predictor_Glue_library		: 
				@\
				$(MAKE) Behavioural_library;\
				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Direction/Meta_Predictor/Meta_Predictor_Glue --makefile=Makefile ;
	
Meta_Predictor_Glue_library_clean	: 
				@\
				$(MAKE) Behavioural_library_clean;\
				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/Direction/Meta_Predictor/Meta_Predictor_Glue --makefile=Makefile clean;
